#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['chitra',
 'chitra.cli',
 'chitra.data_processing',
 'chitra.data_processing.default',
 'chitra.image',
 'chitra.serve',
 'chitra.serve.cloud',
 'chitra.serve.schema',
 'chitra.serve.tf_serving',
 'chitra.serve.torchserve',
 'chitra.utility',
 'chitra.visualization']

package_data = \
{'': ['*'], 'chitra': ['assets/*']}

install_requires = \
['matplotlib', 'pillow', 'imgaug >=0.4.0', 'typeguard', 'typer']

extras_require = \
{'nn': ['scikit-learn',
        'tensorflow >= 2.3',
        'tensorflow-addons >=0.13.0',
        'tf-keras-vis >=0.5.3',
        'pytorch-lightning',
        'timm'],
 'serve': ['fastapi',
           'uvicorn',
           'pydantic',
           'python-multipart',
           'gradio >=2.2.2',
           'tensorflow-serving-api',
           'chalice',
           'smart_open[all]'],
 'test': ['pytest', 'pytest-asyncio', 'coverage']}

entry_points = \
{'console_scripts': ['chitra = chitra.cli.main:app']}

setup(name='chitra',
      version='0.1.2',
      description='A multi functional library for full stack Deep Learning.',
      author='Aniket Maurya',
      author_email='hello@aniketmaurya.com',
      url='https://github.com/aniketmaurya/chitra',
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='>=3.7',
     )
